#!/bin/bash
if [ "$ODI_HOME" == "" ] || [ "$ODI_HOST" == "" ] || [ "$ODI_USER_3" == "" ] || [ "$ODI_PW_3" == "" ] || [ "$ODI_DB" == "" ] || [ "$ODI_PORT" == "" ]
then
	echo "PANIC: The ODI_??? environment variables are not set on this system."
	echo "See readme.txt"
	exit 1
fi
if [ "$SAAPS_HOME" == "" ] || [ "$SAAPS_LIB" == "" ]
then
	echo "PANIC: The SAAPS_??? environment variables are not set on this system."
	echo "See readme.txt"
	exit 1
fi
java -cp .:$SAAPS_LIB/mysql-connector-java-5.1.10-bin.jar:$SAAPS_LIB/saapsExt.jar:$SAAPS_HOME -Dsaaps.home=$SAAPS_HOME -Dsaaps.models=$SAAPS_HOME/Models saaps.SAAPS
