/*
 * DataCreator.java
 *
 * Created on August 10, 2000, 1:38 PM
 */
 
package saaps.ann;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.StreamTokenizer;
import java.util.Vector;

/** 
 *
 * @author  saaps
 * @version 
 */
public class DataCreator extends Object {

  /** Creates new DataCreator */
  public DataCreator() {
  }
  
  public static Data read(String fileName,int numOfConnections)
  {
    //One example.
    double[] oneExample = new double[numOfConnections];
    //Vector of examples.
    Vector examples = new Vector(100);
    //Open file.
    try
    {
      FileReader fr = new FileReader(fileName);
      BufferedReader br = new BufferedReader(fr);
      StreamTokenizer st = new StreamTokenizer(br);
//      st.parseNumbers();
//      st.w;
      //Read data until end of file.
      int conn = 0;
      while (st.ttype != StreamTokenizer.TT_EOF)
      {
        st.nextToken();
        if (conn<numOfConnections)
          oneExample[conn++] = st.nval;
        else
        {
          examples.addElement(oneExample);
          conn = 0;
          oneExample = new double[numOfConnections];
          oneExample[conn++] = st.nval;
        }
      }
      fr.close();
    }
    catch(FileNotFoundException fne)
    {
      System.err.println(fne);
    }
    catch(IOException ioe)
    {
    }
    examples.trimToSize();
    int numOfExamples = examples.size();
    Data data = new Data(numOfConnections,numOfExamples);
    for (int exam=0;exam<numOfExamples;exam++)
    {
      oneExample = (double[]) examples.elementAt(exam);
      for (int conn=0;conn<numOfConnections;conn++)
      {
        data.set(conn,exam,oneExample[conn]);
      }
    }
    return data;
  }
}