package saaps.dbt;

import java.io.*;
import java.util.*;
import java.text.*;

import saaps.util.*;

/* Testing that CVS works with ssh and ext */

public class Junk  {

  static public void main(String[] args) {
    try {
//       Database db = Database.getInstance("KpDB",true);
      Database db = Database.getInstance("ACEmagDB",true);
      
      Database db2 = Database.getInstance("KpDB",false);
      
      System.out.println("DataGapValue:" + db.getDataGapValue());

      Calendar et=Calendar.getInstance(TimeZone.getTimeZone("GMT"),new Locale("sv","SE"));
      et.set(2001,6,3,0,0,0);
      System.out.println("date:" + et.getTime());
      System.out.println("val:" + Math.pow(2.0,4.0));
      TimeSeries ts;
      ts = db.retrieveLatest(10);
      System.out.println("latest is " +ts.getDate(0));
      db.close();
    }
    catch (TimestepException e) {
        System.err.println(e);
        e.printStackTrace();
    }    
    catch (MetaNotSetException e) {
        System.err.println(e);
        e.printStackTrace();
    }
    catch (DatabaseException e) {
        System.err.println(e);
        e.printStackTrace();
    }
    catch (IOException e) {
      System.err.println(e);
    }
    
    //Testa finalize i DB
    System.out.println("Outside try ! Ref to DB is lost");
    System.gc();
    //System.runFinalization();
  }
}
