package saaps.math;

/**
* The class Stat contains the following statistical methos:
*  superposed and
*  corr.
*
* @author Peter Wintoft
* @version 1.0 1999-09-21
*/
public class Stat					// Future: throw exception.
{
	private Matrix matrix;

	public Stat(Matrix m)		// Future: do various checks which might lead to an exception.
	{
		matrix = m;
	}
	/**
	* Returns a <code>RowVector</code> object that is the result from
	* a superposed epoch analysis.
	* <p>
	*
	* @param	norm		If true then normalize, else give sum.
	*/
	public RowVector superposed(boolean norm)
	{
		RowVector res = null;
		if (norm)
		{
			res = matrix.sum();
			res = res.times(1/((double) matrix.getNumOfRows()));
		}
		else
		{
			res = matrix.sum();
		}
		return res;
	}
} 