<?php

//////
// Connect to database.
//////
  function connect_to_database($host, $user, $password, $database,
                               $port, $socket)
  {
    $conn = mysqli_init();
    if (!$conn) die("Failed to initialize database connection");
    if (!$conn->real_connect($host, $user, $password, $database, $port, $socket))
      die("Unable to connect to database");

    return $conn;
  }


//////
// Read namelist
//////
  function namelist($tag)
  {
    $params = array();

    $list = file("spenvis.nml");

    $line = array_shift($list);
    while (strpos($line, $tag) === FALSE)
    {
      $line = array_shift($list);
    }

    foreach ($list as $line)
    {
      if (strpos($line, "/") === FALSE)
      {
        $args = explode("=", $line);
        $params[trim($args[0])] = trim($args[1]);
      }
      else
        break;
    }

    return $params;
  }


//////
// Error found
//////
  function error_exit($message)
  {
    $eHandle = fopen("spenvis.err", "w");
    fprintf($eHandle, "%s" . LF, $message);
    fclose($eHandle);
    exit;
  }


    if (substr(PHP_OS, 0, 3) == "WIN")
      define("LF", "\r\n");
    else
      define("LF", "\n");


  $link = connect_to_database("localhost", "spenvis", "Affligem", "ODI",
                              2000, "");

  $dHandle = fopen("dbtemp.txt", "w");

  $params = namelist("php");

  if (!isset($params["PRIMARY"]))
    error_exit("No dataset was selected!");

  fprintf($dHandle, "%s" . LF, $params["PRIMARY"]);

  fprintf($dHandle, "%s" . LF, "<CENTER><TABLE border='0' cellspacing='0' celltabbing='0' width='80%'>");
  fprintf($dHandle, "%s" . LF, "<CAPTION><B>Available data sets</B></CAPTION>");
  fprintf($dHandle, "%s" . LF, "<TR><TH colspan='2'>Dataset</TH><TH>Start Time</TH><TH>End Time</TH></TR>");

/*
  $query = "SELECT ds.name AS name, ds.epoch_start AS tmin, " .
           "ds.epoch_end AS tmax, dm.value AS description " .
           "FROM dataset AS ds LEFT JOIN dataset_metadata AS dm " .
           "ON (ds.id=dm.dataset_id) WHERE " .
           "dm.attribute='Logical_source_description'";
  $result = mysqli_query($link, $query);
  while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC))
  {
    fprintf($dHandle, "<TR><TD align='center'>" .
                      "<INPUT type='radio' name='PRIMARY' value='%s" .
                      "'></TD>" . LF, $row["name"]);
    fprintf($dHandle, "<TD align='left' nowrap>%s</TD>" . LF, $row["description"]);
    fprintf($dHandle, "<TD align='center' nowrap>%s</TD>" . LF, $row["tmin"]);
    fprintf($dHandle, "<TD align='center' nowrap>%s</TD></TR>" . LF, $row["tmax"]);
  }
  mysqli_free_result($result);

*/
  fprintf($dHandle, "%s" . LF, "</TABLE></CENTER><P>");

  fclose($dHandle);

  mysqli_close($link);

?>