#!/bin/bash

SCRIPT_HOME=$(dirname $(type -p $0))

#
# File and Model names
MODEL_TITLE="Database selection"
MODEL_EXECUTABLE=php
#${SCRIPT_HOME}/merem_macro
MODEL_FILES_TO_BE_CLEANED="dbtemp.txt"

#
# Removing old files
rm -f ${MODEL_FILES_TO_BE_CLEANED}

#
# Processing (Run for maximum 4 minutes.)
ulimit -t 240
${MODEL_EXECUTABLE} ${SCRIPT_HOME}/dblist.php
rc=$?
if [ $rc -eq 137 ]; then
    echo "Execution of ${MODEL_TITLE} aborted: execution time exceeded." > spenvis.err
elif [ $rc -ne 0 ]; then
    echo "Execution of ${MODEL_TITLE} aborted (status=$rc)." >> spenvis.err
fi

exit

