package saaps.dbt;

import java.io.*;
import java.util.Vector;
import saaps.util.ObjectTimeSeries;

/**
 * Import data from a file and store it in our database.
 * Currently supports file syntax as exported by ExportAscii.
 * @author Leif Kalla (leif@irf.se)
 */
public class ImportData  {

  static public void main(String[] args) {

    try {
    Database dbRef;

    if(args.length!=2) {
      System.out.println("Usage: java saaps.dbt.ImportData <Db class name> <dataFile>");
      System.exit(0);
    }

    dbRef = Database.getInstance(args[0]);
    String dataFile = args[1];

    dbRef.importAscii(dataFile);
    System.out.println("Finished " + args[0]);
    }
    catch (Exception e) {
      System.err.println(e);
   }
  }
}
