
PRO db_list

  db_lib

  DBConnect, oDB

  OPENW, 1, "dbtemp.txt"

  oRS = OBJ_NEW('IDLDBRecordSet', oDB, $
                SQL="SELECT ds.name, ds.epoch_start AS tmin, " + $
                    "ds.epoch_end AS tmax, LEFT(dm.value, 500) AS d " + $
                    "FROM dataset AS ds LEFT JOIN dataset_metadata AS dm " + $
                    "ON (ds.id=dm.dataset_id) WHERE " + $
                    "dm.attribute='Logical_source_description'")
  ds = oRS->GetRecord()
  WHILE (oRS->MoveCursor(/NEXT)) DO $
    ds = [ds,oRS->GetRecord()]
  OBJ_DESTROY, oRS

  PRINTF, 1, "<CENTER><TABLE border='0' cellspacing='0' celltabbing='0' width='80%'>"
  PRINTF, 1, "<CAPTION><B>Available data sets</B></CAPTION>"
  PRINTF, 1, "<TR><TH colspan='2'>Dataset</TH><TH>Start Time</TH><TH>End Time</TH></TR>"

  FOR i=0,N_ELEMENTS(ds)-1 DO BEGIN
    cdfepoch_to_string, ds[i].tmin, semin
    cdfepoch_to_string, ds[i].tmax, semax

    PRINTF, 1, "<TR><TD align='center'>" + $
               "<INPUT type='radio' name='PRIMARY' value='" + $
               ds[i].name + "'></TD>"
    PRINTF, 1, "<TD align='left' nowrap>" + ds[i].d + "</TD>"
    PRINTF, 1, "<TD align='center' nowrap>" + semin + "</TD>"
    PRINTF, 1, "<TD align='center' nowrap>" + semax + "</TD></TR>"
  ENDFOR

  PRINTF, 1, "</TABLE></CENTER><P>"

  CLOSE, 1

  OBJ_DESTROY, oDB

END